using System;
using System.Collections.Generic;
using System.Text;

namespace Wax
{
    /// <summary>
    /// Represents the different type of dialog handlers that can
    /// be used by the <see cref="DialogHandlerCommand"/> class.
    /// </summary>
    public enum DialogHandlerType
    {
        /// <summary>
        /// No dialog is represented
        /// </summary>
        None,

        /// <summary>
        /// A simple way to handle javascript dialogs
        /// </summary>
        SimpleJavaDialog,

        /// <summary>
        /// A confirmation dialog
        /// </summary>
        ConfirmDialog
    }
}
