﻿/*
 * Created by SharpDevelop.
 * User: v-edwild
 * Date: 05/07/2007
 * Time: 06:59
 */

using System;

namespace Wax
{
	/// <summary>
	/// MethodType of property associated with an <see cref="WatiN.Core.Element">element</see>.
	/// </summary>
	public enum PropertyType
	{
		/// <summary>
		/// No property specified.
		/// </summary>
		None,

        /// <summary>
        /// A specific attribute
        /// </summary>
        Attribute,

		/// <summary>
		/// The text attribute.
		/// </summary>
		Text,
		
		/// <summary>
		/// The selected item.
		/// </summary>
		SelectedItem,
		
		/// <summary>
		/// The checked attribute
		/// </summary>
		Checked,
		
		/// <summary>
		/// The value attribute
		/// </summary>
		Value,
		
		/// <summary>
		/// The filename attribute for an <see cref="WatiN.Core.FileUpload"/> element.
		/// </summary>
		FileName
			
	}
}
