namespace Wax
{
    /// <summary>
    /// The list of available settings that may be changed from the default WatiN behavior.
    /// </summary>
    public enum SettingsType
    {
        /// <summary>
        /// Setting undefined
        /// </summary>
        None,

        /// <summary>
        /// The amount of time to time wait whilst attaching to an existing instance of Internet Explorer. Default 30 seconds.
        /// </summary>
        AttachToIETimeout,

        /// <summary>
        /// If set to true, automatically closes any dialogs that are opened, defaults to <c>true</c>.
        /// </summary>
        AutoCloseDialogs,

        /// <summary>
        /// Move the cursor to the top left of the screen everytime a new IE instance is created, defaults to <c>true</c>.
        /// </summary>
        AutoMoveMousePointerToTopLeft,

        /// <summary>
        /// Whether to auto start the dialog watcher at all. This value is evaluated everytime a new IE instance is created, defaults to <c>true</c>.
        /// </summary>
        AutoStartDialogWatcher,

        /// <summary>
        /// Default highlight color, defaults to yellow.
        /// </summary>
        HighlightColor,

        /// <summary>
        /// Whether to highlight an element that is being automated, defaults to <c>true</c>.
        /// </summary>
        HighlightElement,

        /// <summary>
        /// Whether to make the new instance of Internet Explorer visable, defaults to <c>true</c>.
        /// </summary>
        MakeNewIEInstanceVisible,

        /// <summary>
        /// Get or set the default time out used when calling ie.WaitForComplete(). The initial value is 30 seconds. Setting the time out to a negative value will throw a ArgumentOutOfRangeException.
        /// </summary>
        WaitForCompleteTimeout,

        /// <summary>
        /// Get or set the default time out used when calling Element.WaitUntilExists(). The initial value is 30 seconds. Setting the time out to a negative value will throw a ArgumentOutOfRangeException.
        /// </summary>
        WaitUntilExistsTimeout,
    }
}