using System;

namespace Wax
{
    /// <summary>
    /// Test error event arguments
    /// </summary>
    public class TestErrorEventArgs : EventArgs
    {
        /// <summary>
        /// The error that was encountered during the execution of a command.
        /// </summary>
        private readonly TestError error;

        /// <summary>
        /// Initializes a new instance of the <see cref="TestErrorEventArgs"/> class.
        /// </summary>
        /// <param name="error">The error.</param>
        public TestErrorEventArgs(TestError error)
        {
            this.error = error;
        }

        /// <summary>
        /// The error that was encountered during the execution of a command.
        /// </summary>
        public TestError Error
        {
            get { return error; }
        }
    }
}