using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using NUnit.Framework;
using Wax;
using Wax.Provider;

namespace WaxLibTest.Provider
{
    /// <summary>
    /// Tests the behaviour of the <see cref="WaxDataProviderBase"/> class, using the configured provider.
    /// Which in this case should use the <see cref="WaxMockDataProvider"/>.
    /// </summary>
    [TestFixture]
    public class WaxDataProviderBaseTest
    {
        /// <summary>
        /// Tests the behaviour of the <see cref="WaxDataProviderBase.ParseFile"/> method.
        /// </summary>
        [Test]
        public void ParseFileTest()
        {
            Collection<Test> tests = WaxDataManager.Provider.ParseFile("mockfile.xls");

            Assert.IsNotNull(tests, "WaxDataProviderBase.ParseFile returned null");
            Assert.AreEqual(2, tests.Count, "Incorrect number of tests.");
        }
    }
}
